Bug 167104 - CAN-2005-2728 CGI memory DoS
Summary: CAN-2005-2728 CGI memory DoS
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
(Show other bugs)
Version: 4
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact:
URL:
Whiteboard: impact=moderate,public=20040707,sourc...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-08-30 11:47 UTC by Mark J. Cox
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-08 10:12:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mark J. Cox 2005-08-30 11:47:53 UTC
+++ This bug was initially created as a clone of Bug #167102 +++

A flaw was found in Apache 2.0 where the byterange filter would buffer responses
into memory.  This could cause a Denial of Service through memory leak if a
remote attacker sends carefully crafted requests to a web server that has a CGI
script which usually would give a large response.

FC3 and FC4

Comment 1 Fedora Update System 2005-09-06 05:37:29 UTC
From User-Agent: XML-RPC

httpd-2.0.53-3.3 has been pushed for FC3, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.


Comment 2 Fedora Update System 2005-09-06 05:37:46 UTC
From User-Agent: XML-RPC

httpd-2.0.54-10.2 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.


Comment 3 Fedora Update System 2005-09-07 20:46:07 UTC
From User-Agent: XML-RPC

httpd-2.0.54-10.2 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.


Comment 4 Fedora Update System 2005-09-07 20:46:32 UTC
From User-Agent: XML-RPC

httpd-2.0.53-3.3 has been pushed for FC3, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.



Note You need to log in before you can comment on or make changes to this bug.